<!doctype html>
<!--[if IE 8]><html class="no-js lt-ie9" <?php language_attributes(); ?>><![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?> >
<?php do_action('after_open_body_tag'); ?>

<div id="page">
	<div id="mobile-bar">
		<a class="menu-trigger" href="#mobilemenu"><i class="fa fa-bars"></i></a>
		<p class="mob-title"><?php echo get_bloginfo('name'); ?></p>
	</div>

	<?php
		if( is_page_template('template-homepage.php') ) {
			$slider_query = new WP_Query( array(
				'post_type'      => array( 'post', 'cpt_slider' ),
				'posts_per_page' => - 1,
				'meta_key'       => 'slider',
				'meta_value'     => 'on'
			) );

			ci_get_template_part('inc_slider_bg', null, array( 'slider_query' => $slider_query ) );
		}
	?>

	<div class="container">
		<div class="row">
			<div class="col-xs-12">
				<header class="header">
					<div class="header-pre">
						<div class="row">
							<div class="col-md-10 col-md-offset-1">
								<div class="row">
									<div class="col-sm-6">
										<div class="header-socials">
											<?php dynamic_sidebar('socials-sidebar'); ?>
										</div>
									</div>

									<div class="col-sm-6">
										<?php
											wp_nav_menu( array(
												'theme_location' => 'ci_header_menu',
												'fallback_cb'    => '',
												'container'      => '',
												'menu_id'        => '',
												'menu_class'     => 'header-menu'
											));
										?>
									</div>
								</div>
							</div>
						</div>
					</div>

					<div class="header-main">
						<div class="row">
							<div class="col-md-10 col-md-offset-1">
								<div class="row">
									<div class="col-sm-4">
										<?php ci_e_logo('<h1 class="logo ' . get_logo_class() . '">', '</h1>'); ?>
										<?php ci_e_slogan('<p class="site-tagline">', '</p>'); ?>
									</div>

									<div class="col-sm-8">
										<nav id="nav">
											<?php
												wp_nav_menu( array(
													'theme_location' => 'ci_main_menu',
													'fallback_cb'    => '',
													'container'      => '',
													'menu_id'        => 'navigation',
													'menu_class'     => 'group'
												));
											?>
										</nav><!-- #nav -->

										<div id="mobilemenu"></div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</header>

				<?php
					if ( is_page_template( 'template-homepage.php' ) ) {
						ci_get_template_part( 'inc_slider', null, array( 'slider_query' => $slider_query ) );
					}
				?>